/***************************************************************************
                          callbacks.h  -  description
                             -------------------
    begin                : Wed Jul 26 2000
    copyright            : (C) 2000 by Simon E. Reichelt
    email                : s.reichelt@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef CALLBACKS_H
#define CALLBACKS_H 1

#include <gtk/gtk.h>


extern short open_cmap;

extern GtkWidget *cmap_win;

extern GtkWidget *cmap_canvas;


gboolean
ExitApp                                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
CreateAboutDialog                      (GtkButton       *button,
                                        gpointer         user_data);

void
InitWadLoading                         (GtkButton       *button,
                                        gpointer         user_data);

void
FlushTextures                          (GtkButton       *button,
                                        gpointer         user_data);

void
WriteTexList                           (GtkButton       *button,
                                        gpointer         user_data);

void
SearchTexture                          (GtkEditable     *editable,
                                        gpointer         user_data);

void
ShowColormap                           (GtkButton       *button,
                                        gpointer         user_data);

void
CloseAboutDlg                          (GtkButton       *button,
                                        gpointer         user_data);

#endif